Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/cospv2/cosp.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/cospv2/cosp.F90	(revision 5081)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/cospv2/cosp.F90	(revision 5082)
@@ -3573,12 +3573,12 @@
     ! CALIPSO
     if (Lcalipso_subcolumn .or. Lcalipso_column) then
-       if (size(cospIN%beta_mol_calipso,1)    .ne. cospIN%Npoints .OR. &
-           size(cospIN%betatot_calipso,1)     .ne. cospIN%Npoints .OR. &
-           size(cospIN%betatot_liq_calipso,1) .ne. cospIN%Npoints .OR. &
-           size(cospIN%betatot_ice_calipso,1) .ne. cospIN%Npoints .OR. &
-           size(cospIN%tau_mol_calipso,1)     .ne. cospIN%Npoints .OR. &
-           size(cospIN%tautot_calipso,1)      .ne. cospIN%Npoints .OR. &
-           size(cospIN%tautot_liq_calipso,1)  .ne. cospIN%Npoints .OR. &
-           size(cospIN%tautot_ice_calipso,1)  .ne. cospIN%Npoints) then
+       if (size(cospIN%beta_mol_calipso,1)    /= cospIN%Npoints .OR. &
+           size(cospIN%betatot_calipso,1)     /= cospIN%Npoints .OR. &
+           size(cospIN%betatot_liq_calipso,1) /= cospIN%Npoints .OR. &
+           size(cospIN%betatot_ice_calipso,1) /= cospIN%Npoints .OR. &
+           size(cospIN%tau_mol_calipso,1)     /= cospIN%Npoints .OR. &
+           size(cospIN%tautot_calipso,1)      /= cospIN%Npoints .OR. &
+           size(cospIN%tautot_liq_calipso,1)  /= cospIN%Npoints .OR. &
+           size(cospIN%tautot_ice_calipso,1)  /= cospIN%Npoints) then
           Lcalipso_subcolumn = .false.
           Lcalipso_column    = .false.
@@ -3586,10 +3586,10 @@
           errorMessage(nError) = 'ERROR(calipso_simulator): The number of points in the input fields are inconsistent'
        endif
-       if (size(cospIN%betatot_calipso,2)     .ne. cospIN%Ncolumns .OR. &
-           size(cospIN%betatot_liq_calipso,2) .ne. cospIN%Ncolumns .OR. &
-           size(cospIN%betatot_ice_calipso,2) .ne. cospIN%Ncolumns .OR. &
-           size(cospIN%tautot_calipso,2)      .ne. cospIN%Ncolumns .OR. &
-           size(cospIN%tautot_liq_calipso,2)  .ne. cospIN%Ncolumns .OR. &
-           size(cospIN%tautot_ice_calipso,2)  .ne. cospIN%Ncolumns) then
+       if (size(cospIN%betatot_calipso,2)     /= cospIN%Ncolumns .OR. &
+           size(cospIN%betatot_liq_calipso,2) /= cospIN%Ncolumns .OR. &
+           size(cospIN%betatot_ice_calipso,2) /= cospIN%Ncolumns .OR. &
+           size(cospIN%tautot_calipso,2)      /= cospIN%Ncolumns .OR. &
+           size(cospIN%tautot_liq_calipso,2)  /= cospIN%Ncolumns .OR. &
+           size(cospIN%tautot_ice_calipso,2)  /= cospIN%Ncolumns) then
           Lcalipso_subcolumn = .false.
           Lcalipso_column    = .false.
@@ -3597,12 +3597,12 @@
           errorMessage(nError) = 'ERROR(calipso_simulator): The number of sub-columns in the input fields are inconsistent'
        endif
-       if (size(cospIN%beta_mol_calipso,2)    .ne. cospIN%Nlevels .OR. &
-           size(cospIN%betatot_calipso,3)     .ne. cospIN%Nlevels .OR. &
-           size(cospIN%betatot_liq_calipso,3) .ne. cospIN%Nlevels .OR. &
-           size(cospIN%betatot_ice_calipso,3) .ne. cospIN%Nlevels .OR. &
-           size(cospIN%tau_mol_calipso,2)     .ne. cospIN%Nlevels .OR. &
-           size(cospIN%tautot_calipso,3)      .ne. cospIN%Nlevels .OR. &
-           size(cospIN%tautot_liq_calipso,3)  .ne. cospIN%Nlevels .OR. &
-           size(cospIN%tautot_ice_calipso,3)  .ne. cospIN%Nlevels) then
+       if (size(cospIN%beta_mol_calipso,2)    /= cospIN%Nlevels .OR. &
+           size(cospIN%betatot_calipso,3)     /= cospIN%Nlevels .OR. &
+           size(cospIN%betatot_liq_calipso,3) /= cospIN%Nlevels .OR. &
+           size(cospIN%betatot_ice_calipso,3) /= cospIN%Nlevels .OR. &
+           size(cospIN%tau_mol_calipso,2)     /= cospIN%Nlevels .OR. &
+           size(cospIN%tautot_calipso,3)      /= cospIN%Nlevels .OR. &
+           size(cospIN%tautot_liq_calipso,3)  /= cospIN%Nlevels .OR. &
+           size(cospIN%tautot_ice_calipso,3)  /= cospIN%Nlevels) then
           Lcalipso_subcolumn = .false.
           Lcalipso_column    = .false.
@@ -3614,6 +3614,6 @@
     ! PARASOL
     if (Lparasol_subcolumn .or. Lparasol_column) then
-       if (size(cospIN%tautot_S_liq,1) .ne. cospIN%Npoints .OR. &
-           size(cospIN%tautot_S_ice,1) .ne. cospIN%Npoints) then
+       if (size(cospIN%tautot_S_liq,1) /= cospIN%Npoints .OR. &
+           size(cospIN%tautot_S_ice,1) /= cospIN%Npoints) then
           Lparasol_subcolumn = .false.
           Lparasol_column    = .false.
@@ -3621,6 +3621,6 @@
           errorMessage(nError) = 'ERROR(parasol_simulator): The number of points in the input fields are inconsistent'
        endif
-       if (size(cospIN%tautot_S_liq,2) .ne. cospIN%Ncolumns .OR. &
-           size(cospIN%tautot_S_ice,2) .ne. cospIN%Ncolumns) then
+       if (size(cospIN%tautot_S_liq,2) /= cospIN%Ncolumns .OR. &
+           size(cospIN%tautot_S_ice,2) /= cospIN%Ncolumns) then
           Lparasol_subcolumn = .false.
           Lparasol_column    = .false.
@@ -3632,25 +3632,25 @@
     ! RTTOV
     if (Lrttov_column) then
-       if (size(cospgridIN%pfull,1)           .ne. cospIN%Npoints .OR. &
-           size(cospgridIN%at,1)              .ne. cospIN%Npoints .OR. &
-           size(cospgridIN%qv,1)              .ne. cospIN%Npoints .OR. &
-           size(cospgridIN%hgt_matrix_half,1) .ne. cospIN%Npoints .OR. &
-           size(cospgridIN%u_sfc)             .ne. cospIN%Npoints .OR. &
-           size(cospgridIN%v_sfc)             .ne. cospIN%Npoints .OR. &
-           size(cospgridIN%skt)               .ne. cospIN%Npoints .OR. &
-           size(cospgridIN%phalf,1)           .ne. cospIN%Npoints .OR. &
-           size(cospgridIN%qv,1)              .ne. cospIN%Npoints .OR. &
-           size(cospgridIN%land)              .ne. cospIN%Npoints .OR. &
-           size(cospgridIN%lat)               .ne. cospIN%Npoints) then
+       if (size(cospgridIN%pfull,1)           /= cospIN%Npoints .OR. &
+           size(cospgridIN%at,1)              /= cospIN%Npoints .OR. &
+           size(cospgridIN%qv,1)              /= cospIN%Npoints .OR. &
+           size(cospgridIN%hgt_matrix_half,1) /= cospIN%Npoints .OR. &
+           size(cospgridIN%u_sfc)             /= cospIN%Npoints .OR. &
+           size(cospgridIN%v_sfc)             /= cospIN%Npoints .OR. &
+           size(cospgridIN%skt)               /= cospIN%Npoints .OR. &
+           size(cospgridIN%phalf,1)           /= cospIN%Npoints .OR. &
+           size(cospgridIN%qv,1)              /= cospIN%Npoints .OR. &
+           size(cospgridIN%land)              /= cospIN%Npoints .OR. &
+           size(cospgridIN%lat)               /= cospIN%Npoints) then
           Lrttov_column    = .false.
           nError=nError+1
           errorMessage(nError) = 'ERROR(rttov_simulator): The number of points in the input fields are inconsistent'
        endif
-       if (size(cospgridIN%pfull,2)           .ne. cospIN%Nlevels   .OR. &
-           size(cospgridIN%at,2)              .ne. cospIN%Nlevels   .OR. &
-           size(cospgridIN%qv,2)              .ne. cospIN%Nlevels   .OR. &
-           size(cospgridIN%hgt_matrix_half,2) .ne. cospIN%Nlevels+1 .OR. &
-           size(cospgridIN%phalf,2)           .ne. cospIN%Nlevels+1 .OR. &
-           size(cospgridIN%qv,2)              .ne. cospIN%Nlevels) then
+       if (size(cospgridIN%pfull,2)           /= cospIN%Nlevels   .OR. &
+           size(cospgridIN%at,2)              /= cospIN%Nlevels   .OR. &
+           size(cospgridIN%qv,2)              /= cospIN%Nlevels   .OR. &
+           size(cospgridIN%hgt_matrix_half,2) /= cospIN%Nlevels+1 .OR. &
+           size(cospgridIN%phalf,2)           /= cospIN%Nlevels+1 .OR. &
+           size(cospgridIN%qv,2)              /= cospIN%Nlevels) then
           Lrttov_column    = .false.
           nError=nError+1
Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/cospv2/cosp_stats.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/cospv2/cosp_stats.F90	(revision 5081)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/cospv2/cosp_stats.F90	(revision 5082)
@@ -210,5 +210,5 @@
           ! look for j_1km from bottom to top
           j = 1
-          do while (Ze_tot(pr,i,j) .eq. R_GROUND)
+          do while (Ze_tot(pr,i,j) == R_GROUND)
              j = j+1
           enddo
@@ -217,7 +217,7 @@
           do j=1,Nlevels
              sc_ratio = beta_tot(pr,i,j)/beta_mol(pr,j)
-             if ((sc_ratio .le. s_att) .and. (flag_sat .eq. 0)) flag_sat = j
-             if (Ze_tot(pr,i,j) .lt. -30.) then  !radar can't detect cloud
-                if ( (sc_ratio .gt. s_cld) .or. (flag_sat .eq. j) ) then  !lidar sense cloud
+             if ((sc_ratio <= s_att) .and. (flag_sat == 0)) flag_sat = j
+             if (Ze_tot(pr,i,j) < -30.) then  !radar can't detect cloud
+                if ( (sc_ratio > s_cld) .or. (flag_sat == j) ) then  !lidar sense cloud
                    lidar_only_freq_cloud(pr,j)=lidar_only_freq_cloud(pr,j)+1. !top->surf
                    flag_cld=1
@@ -226,10 +226,10 @@
                 flag_cld=1
                 flag_radarcld=1
-                if (j .gt. j_1km) flag_radarcld_no1km=1              
+                if (j > j_1km) flag_radarcld_no1km=1
              endif
           enddo !levels
-          if (flag_cld .eq. 1) tcc(pr)=tcc(pr)+1._wp
-          if (flag_radarcld .eq. 1) radar_tcc(pr)=radar_tcc(pr)+1.
-          if (flag_radarcld_no1km .eq. 1) radar_tcc2(pr)=radar_tcc2(pr)+1.        
+          if (flag_cld == 1) tcc(pr)=tcc(pr)+1._wp
+          if (flag_radarcld == 1) radar_tcc(pr)=radar_tcc(pr)+1.
+          if (flag_radarcld_no1km == 1) radar_tcc2(pr)=radar_tcc2(pr)+1.
        enddo !columns
     enddo !points
@@ -267,6 +267,6 @@
     
     do ij=2,Nbins+1  
-       hist1D(ij-1) = count(var .ge. bins(ij-1) .and. var .lt. bins(ij))
-       if (count(var .eq. R_GROUND) .ge. 1) hist1D(ij-1)=R_UNDEF
+       hist1D(ij-1) = count(var >= bins(ij-1) .and. var < bins(ij))
+       if (count(var == R_GROUND) >= 1) hist1D(ij-1)=R_UNDEF
     enddo
     
@@ -300,6 +300,6 @@
     do ij=2,nbin1+1
        do ik=2,nbin2+1
-          jointHist(ij-1,ik-1)=count(var1 .ge. bin1(ij-1) .and. var1 .lt. bin1(ij) .and. &
-               var2 .ge. bin2(ik-1) .and. var2 .lt. bin2(ik))        
+          jointHist(ij-1,ik-1)=count(var1 >= bin1(ij-1) .and. var1 < bin1(ij) .and. &
+               var2 >= bin2(ik-1) .and. var2 < bin2(ik))
        enddo
     enddo
Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/cospv2/icarus.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/cospv2/icarus.F90	(revision 5081)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/cospv2/icarus.F90	(revision 5082)
@@ -134,5 +134,5 @@
     ! ##########################################################################
     
-    if (debugcol.ne.0) then
+    if (debugcol/=0) then
        do j=1,npoints,debugcol
           
@@ -140,5 +140,5 @@
           do ilev=1,nlev
              acc(ilev,1:ncol)=frac_out(j,1:ncol,ilev)*2
-             where(levmatch(j,1:ncol) .eq. ilev) acc(ilev,1:ncol)=acc(ilev,1:ncol)+1
+             where(levmatch(j,1:ncol) == ilev) acc(ilev,1:ncol)=acc(ilev,1:ncol)+1
           enddo
           
@@ -224,5 +224,5 @@
 
     ! Set tropopause values
-    if (isccp_top_height .eq. 1 .or. isccp_top_height .eq. 3) then 
+    if (isccp_top_height == 1 .or. isccp_top_height == 3) then
        ptrop(1:npoints)     = 5000._wp
        attropmin(1:npoints) = 400._wp
@@ -232,7 +232,7 @@
 
        do ilev=1,nlev
-          where(pfull(1:npoints,ilev) .lt. 40000. .and. &
-                pfull(1:npoints,ilev) .gt.  5000. .and. &
-                at(1:npoints,ilev)    .lt. attropmin(1:npoints))
+          where(pfull(1:npoints,ilev) < 40000. .and. &
+                pfull(1:npoints,ilev) >  5000. .and. &
+                at(1:npoints,ilev)    < attropmin(1:npoints))
              ptrop(1:npoints)     = pfull(1:npoints,ilev)
              attropmin(1:npoints) = at(1:npoints,ilev)
@@ -244,9 +244,9 @@
        do ilev=1,nlev
           atmax(1:npoints) = merge(at(1:npoints,ilev),atmax(1:npoints),&
-               at(1:npoints,ilev) .gt. atmax(1:npoints) .and. ilev  .ge. itrop(1:npoints))
+               at(1:npoints,ilev) > atmax(1:npoints) .and. ilev  >= itrop(1:npoints))
        enddo
     end if
   
-    if (isccp_top_height .eq. 1 .or. isccp_top_height .eq. 3) then
+    if (isccp_top_height == 1 .or. isccp_top_height == 3) then
        ! ############################################################################
        !                        Clear-sky radiance calculation
@@ -308,5 +308,5 @@
              dem(1:npoints,ibox) = merge(dem_wv(1:npoints,ilev), &
                                          1._wp-(1._wp-demIN(1:npoints,ibox,ilev))*(1._wp-dem_wv(1:npoints,ilev)), &
-                                         demIN(1:npoints,ibox,ilev) .eq. 0)
+                                         demIN(1:npoints,ibox,ilev) == 0)
 
              ! Increase TOA flux emitted from layer
@@ -348,7 +348,7 @@
           tauir(1:npoints)    = tau(1:npoints,ibox)/2.13_wp
           taumin(1:npoints)   = -log(max(min(transmax(1:npoints),0.9999999_wp),0.001_wp))
-          if (isccp_top_height .eq. 1) then
+          if (isccp_top_height == 1) then
              do j=1,npoints  
-                if (transmax(j) .gt. 0.001 .and.  transmax(j) .le. 0.9999999) then
+                if (transmax(j) > 0.001 .and.  transmax(j) <= 0.9999999) then
                    fluxtopinit(j) = fluxtop(j,ibox)
                    tauir(j) = tau(j,ibox)/2.13_wp
@@ -357,11 +357,11 @@
              do icycle=1,2
                 do j=1,npoints  
-                   if (tau(j,ibox) .gt. (tauchk)) then 
-                      if (transmax(j) .gt. 0.001 .and.  transmax(j) .le. 0.9999999) then
+                   if (tau(j,ibox) > (tauchk)) then
+                      if (transmax(j) > 0.001 .and.  transmax(j) <= 0.9999999) then
                          emcld(j,ibox) = 1._wp - exp(-1._wp * tauir(j)  )
                          fluxtop(j,ibox) = fluxtopinit(j) - ((1.-emcld(j,ibox))*fluxtop_clrsky(j))
                          fluxtop(j,ibox)=max(1.E-06_wp,(fluxtop(j,ibox)/emcld(j,ibox)))
                          tb(j,ibox)= 1307.27_wp / (log(1._wp + (1._wp/fluxtop(j,ibox))))
-                         if (tb(j,ibox) .gt. 260.) then
+                         if (tb(j,ibox) > 260.) then
                             tauir(j) = tau(j,ibox) / 2.56_wp
                          end if
@@ -373,7 +373,7 @@
 
           ! Cloud-top temperature
-          where(tau(1:npoints,ibox) .gt. tauchk)
+          where(tau(1:npoints,ibox) > tauchk)
              tb(1:npoints,ibox)= 1307.27_wp/ (log(1. + (1._wp/fluxtop(1:npoints,ibox))))
-             where (isccp_top_height .eq. 1 .and. tauir(1:npoints) .lt. taumin(1:npoints))
+             where (isccp_top_height == 1 .and. tauir(1:npoints) < taumin(1:npoints))
                 tb(1:npoints,ibox) = attrop(1:npoints) - 5._wp 
                 tau(1:npoints,ibox) = 2.13_wp*taumin(1:npoints)
@@ -382,5 +382,5 @@
           
           ! Clear-sky brightness temperature
-          where(tau(1:npoints,ibox) .le. tauchk) 
+          where(tau(1:npoints,ibox) <= tauchk)
              tb(1:npoints,ibox) = meantbclr(1:npoints)
           endwhere
@@ -399,16 +399,16 @@
     do ibox=1,ncol
        !segregate according to optical thickness
-       if (isccp_top_height .eq. 1 .or. isccp_top_height .eq. 3) then  
+       if (isccp_top_height == 1 .or. isccp_top_height == 3) then
           
           ! Find level whose temperature most closely matches brightness temperature
           nmatch(1:npoints)=0
           do k1=1,nlev-1
-             ilev = merge(nlev-k1,k1,isccp_top_height_direction .eq. 2)        
+             ilev = merge(nlev-k1,k1,isccp_top_height_direction == 2)
              do j=1,npoints 
-                if (ilev           .ge. itrop(j)     .and. &
-                     ((at(j,ilev)  .ge. tb(j,ibox)   .and. &  
-                      at(j,ilev+1) .le. tb(j,ibox))  .or.  &
-                      (at(j,ilev)  .le. tb(j,ibox)   .and. &
-                      at(j,ilev+1) .ge. tb(j,ibox)))) then 
+                if (ilev           >= itrop(j)     .and. &
+                     ((at(j,ilev)  >= tb(j,ibox)   .and. &
+                      at(j,ilev+1) <= tb(j,ibox))  .or.  &
+                      (at(j,ilev)  <= tb(j,ibox)   .and. &
+                      at(j,ilev+1) >= tb(j,ibox)))) then
                    nmatch(j)=nmatch(j)+1
                    match(j,nmatch(j))=ilev
@@ -418,5 +418,5 @@
 
           do j=1,npoints 
-             if (nmatch(j) .ge. 1) then
+             if (nmatch(j) >= 1) then
                 k1 = match(j,nmatch(j))
                 k2 = k1 + 1
@@ -426,11 +426,11 @@
                 logp=logp1+(logp2-logp1)*abs(tb(j,ibox)-at(j,k1))/atd
                 ptop(j,ibox) = exp(logp)
-                levmatch(j,ibox) = merge(k1,k2,abs(pfull(j,k1)-ptop(j,ibox)) .lt. abs(pfull(j,k2)-ptop(j,ibox)))
+                levmatch(j,ibox) = merge(k1,k2,abs(pfull(j,k1)-ptop(j,ibox)) < abs(pfull(j,k2)-ptop(j,ibox)))
              else
-                if (tb(j,ibox) .le. attrop(j)) then
+                if (tb(j,ibox) <= attrop(j)) then
                    ptop(j,ibox)=ptrop(j)
                    levmatch(j,ibox)=itrop(j)
                 end if
-                if (tb(j,ibox) .ge. atmax(j)) then
+                if (tb(j,ibox) >= atmax(j)) then
                    ptop(j,ibox)=pfull(j,nlev)
                    levmatch(j,ibox)=nlev
@@ -441,5 +441,5 @@
           ptop(1:npoints,ibox)=0.
           do ilev=1,nlev
-             where((ptop(1:npoints,ibox) .eq. 0. ) .and.(frac_out(1:npoints,ibox,ilev) .ne. 0))
+             where((ptop(1:npoints,ibox) == 0. ) .and.(frac_out(1:npoints,ibox,ilev) /= 0))
                 ptop(1:npoints,ibox)=phalf(1:npoints,ilev)
                 levmatch(1:npoints,ibox)=ilev
@@ -447,5 +447,5 @@
           end do
        end if
-       where(tau(1:npoints,ibox) .le. tauchk)
+       where(tau(1:npoints,ibox) <= tauchk)
           ptop(1:npoints,ibox)=0._wp
           levmatch(1:npoints,ibox)=0._wp
@@ -460,6 +460,6 @@
     do ibox=1,ncol
        do j=1,npoints 
-          if (tau(j,ibox) .gt. (tauchk) .and. ptop(j,ibox) .gt. 0.) then
-             if (sunlit(j).eq.1 .or. isccp_top_height .eq. 3) then
+          if (tau(j,ibox) > (tauchk) .and. ptop(j,ibox) > 0.) then
+             if (sunlit(j)==1 .or. isccp_top_height == 3) then
                 boxtau(j,ibox) = tau(j,ibox)
                 boxptop(j,ibox) = ptop(j,ibox)!/100._wp
@@ -508,5 +508,5 @@
     !                           Brightness Temperature
     ! ####################################################################################
-    if (isccp_top_height .eq. 1 .or. isccp_top_height .eq. 3) then
+    if (isccp_top_height == 1 .or. isccp_top_height == 3) then
        meantb(1:npoints)=sum(boxttop,2)/ncol
     else
@@ -535,5 +535,5 @@
        do ilev2=1,7
           do j=1,npoints ! 
-             if (sunlit(j).eq.1 .or. isccp_top_height .eq. 3) then 
+             if (sunlit(j)==1 .or. isccp_top_height == 3) then
                 fq_isccp(j,ilev,ilev2)= 0.
 	     else 
@@ -546,5 +546,5 @@
     
     ! Reset variables need for averaging cloud properties
-    where(sunlit .eq. 1 .or. isccp_top_height .eq. 3)
+    where(sunlit == 1 .or. isccp_top_height == 3)
        totalcldarea(1:npoints)  = 0._wp
        meanalbedocld(1:npoints) = 0._wp
@@ -561,8 +561,8 @@
     do j=1,npoints 
        ! Subcolumns that are cloudy(true) and not(false)
-       box_cloudy2(1:ncol) = merge(.true.,.false.,boxtau(j,1:ncol) .gt. tauchk .and. boxptop(j,1:ncol) .gt. 0.)
+       box_cloudy2(1:ncol) = merge(.true.,.false.,boxtau(j,1:ncol) > tauchk .and. boxptop(j,1:ncol) > 0.)
 
        ! Compute joint histogram and column quantities for points that are sunlit and cloudy
-       if (sunlit(j) .eq.1 .or. isccp_top_height .eq. 3) then 
+       if (sunlit(j) ==1 .or. isccp_top_height == 3) then
           ! Joint-histogram
           call hist2D(boxtau(j,1:ncol),boxptop(j,1:ncol),ncol,isccp_histTau,numISCCPTauBins, &
@@ -572,10 +572,10 @@
           
           ! Column cloud area
-          totalcldarea(j) = real(count(box_cloudy2(1:ncol) .and. boxtau(j,1:ncol) .gt. isccp_taumin))/ncol
+          totalcldarea(j) = real(count(box_cloudy2(1:ncol) .and. boxtau(j,1:ncol) > isccp_taumin))/ncol
              
           ! Subcolumn cloud albedo
           !albedocld(j,1:ncol) = merge((boxtau(j,1:ncol)**0.895_wp)/((boxtau(j,1:ncol)**0.895_wp)+6.82_wp),&
           !     0._wp,box_cloudy2(1:ncol) .and. boxtau(j,1:ncol) .gt. isccp_taumin)
-          where(box_cloudy2(1:ncol) .and. boxtau(j,1:ncol) .gt. isccp_taumin)
+          where(box_cloudy2(1:ncol) .and. boxtau(j,1:ncol) > isccp_taumin)
              albedocld(j,1:ncol) = (boxtau(j,1:ncol)**0.895_wp)/((boxtau(j,1:ncol)**0.895_wp)+6.82_wp)
           elsewhere
@@ -587,10 +587,10 @@
           
           ! Column cloud top pressure
-          meanptop(j) = sum(boxptop(j,1:ncol),box_cloudy2(1:ncol) .and. boxtau(j,1:ncol) .gt. isccp_taumin)/ncol
+          meanptop(j) = sum(boxptop(j,1:ncol),box_cloudy2(1:ncol) .and. boxtau(j,1:ncol) > isccp_taumin)/ncol
        endif
     enddo
     
     ! Compute mean cloud properties. Set to mssing value in the event that totalcldarea=0
-    where(totalcldarea(1:npoints) .gt. 0)
+    where(totalcldarea(1:npoints) > 0)
        meanptop(1:npoints)      = 100._wp*meanptop(1:npoints)/totalcldarea(1:npoints)
        meanalbedocld(1:npoints) = meanalbedocld(1:npoints)/totalcldarea(1:npoints)
@@ -609,6 +609,6 @@
 
     ! Represent in percent
-    where(totalcldarea .ne. output_missing_value) totalcldarea = totalcldarea*100._wp
-    where(fq_isccp     .ne. output_missing_value) fq_isccp     = fq_isccp*100._wp
+    where(totalcldarea /= output_missing_value) totalcldarea = totalcldarea*100._wp
+    where(fq_isccp     /= output_missing_value) fq_isccp     = fq_isccp*100._wp
     
     
@@ -634,8 +634,8 @@
     varOUT(1:dim1,1:dim2,1:dim3) = 0._wp
     do j=1,dim2
-       where(flag(:,j,:) .eq. 1)
+       where(flag(:,j,:) == 1)
           varOUT(:,j,:) = varIN2
        endwhere
-       where(flag(:,j,:) .eq. 2)
+       where(flag(:,j,:) == 2)
           varOUT(:,j,:) = varIN1
        endwhere
